Bug 187870 - Upgrade rejected if /var/cache is a symlink
Summary: Upgrade rejected if /var/cache is a symlink
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-04 07:03 UTC by Joachim Backes
Modified: 2008-08-02 23:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-12 13:55:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joachim Backes 2006-04-04 07:03:15 UTC
Description of problem:
I tried to update my FC4 installation to FC5. The update fails if /var/cache or
/var/cache/yum are symlinks to a fs on another partition (I made this for disk
space reasons). If excanging this symlink by a real directory /var/cache/yum
on the boot partition, the update runs.

Version-Release number of selected component (if applicable): Starting from the
fc5 install cd.

How reproducible: Every time


Steps to Reproduce:
1. See description.
2.
3.
  
Actual results: Update fails.


Expected results: Update is running.


Additional info: --

Comment 1 Chris Lumens 2006-04-04 19:31:06 UTC
How does the upgrade fail?  Does it give you an exception traceback?  If so,
please attach the complete dump to this bug report.

Comment 3 Red Hat Bugzilla 2007-06-12 03:09:38 UTC
requested by Jams Antill

Comment 4 Joachim Backes 2007-06-12 04:51:52 UTC
Having no more FC4 installations, so I can't reproduce the bug.

May be closed.


Note You need to log in before you can comment on or make changes to this bug.